#ifndef _input_h_
#define _input_h_


struct _input_
{
	// {^
	enum _kind_
	{
		KIND_SW1_ON,
		KIND_SW1_OFF,
		KIND_SW2_ON,
		KIND_SW2_OFF,

		KIND_EPSON=KIND_SW2_ON,
		KIND_PHILIPS=KIND_SW2_OFF
	};
	int trg;// 0->1
	int rTrg;// 1->0 Release Triger
	int scan;// 1
};
typedef struct _input_ INPUT;

#define INPUT_SW1_ON 		(1 << KIND_SW1_ON)
#define INPUT_SW1_OFF 		(1 << KIND_SW1_OFF)
#define INPUT_SW2_ON 		(1 << KIND_SW2_ON)
#define INPUT_SW2_OFF 		(1 << KIND_SW2_OFF)
#define INPUT_EPSON_ON 		(1 << KIND_EPSON_ON)
#define INPUT_PHILIPS_ON 	(1 << KIND_PHILIPS_ON)

extern INPUT *getInput(void);
extern void input();
extern void input_init();



inline int input_getTrg(int bit)
{
	return (getInput()->trg & bit);
}
inline int input_getRTrg(int bit)
{
	return (getInput()->rTrg & bit);
}
inline int input_getScan(int bit)
{
	return (getInput()->scan & bit);
}


#endif
