#ifndef _spi_lcd_h_
#define _spi_lcd_h_

#include "DSP28x_Project.h"     // Device Headerfile and Examples Include File
#include "input.h"

// mLA6100fBXvC@ݒl
struct _lcd_nokia_
{
	unsigned char lx;// size x   page
	unsigned char ly;// size y   columm
};
typedef struct _lcd_nokia_ DEV_LCD;


// Gv\`bṽR}hɂ܂H
inline int isEpson(void)
{
	return input_getScan(INPUT_SW2_ON);
}


extern DEV_LCD *getLcd(void);

extern void LCDInit(void);
extern void LCDCommand(Uint16 data);
extern void LCDData(Uint16 data);
extern void LCDClear(int color);
extern void LCDReset(void);
#endif
